Bug 196922

Summary: Both mouse buttons change ratings on thumbnail bar
Product: [Applications] digikam Reporter: DGardner <dkde>
Component: Usability-MouseAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: caulier.gilles
Priority: NOR    
Version: 1.3.0   
Target Milestone: ---   
Platform: Ubuntu   
OS: Linux   
Latest Commit: Version Fixed In: 2.0.0

Description DGardner 2009-06-17 21:43:53 UTC
Version:           0.10.0 (using KDE 4.2.4)
OS:                Linux
Installed from:    Ubuntu Packages

While trying to get out of full-screen mode (reported in another
bug) I was trying every part of the preview screen and its
thumbnail bar to find a context menu that might have the option
to return to normal mode. I noticed that if I right-clicked on an
image in the thumbnail bar, instead of getting a context menu or
nothing at all, I ended up accidentally changing the image rating.
The right mouse button does exactly the same thing as the left
button (rating and selection), which is both unexpected and
irksome.

If there is no context menu for the thumbnail bar in preview mode,
can you make the right mouse button inert, rather than making it
act the same as the left button?
Comment 1 caulier.gilles 2009-06-18 10:36:35 UTC
This behavior will be fixed when pure Qt4 model/view will be used to re-implement thumbbar with 1.0.0 release

Gilles Caulier
Comment 2 DGardner 2009-06-18 18:05:41 UTC
I might add that the right mouse button also sets the rating in the
main thumbnail view, not just in the thumbbar, but I remember you
wrote that the thumbnail view was being rewritten to the mode/view
pattern as well. (See, I'm paying attention.)

Anyway, this is not exactly a high priority, as I find the stars too
hard to see in the thumbbar and don't really mouse-over or click it
much.
Comment 3 Christian H├Ągele 2010-08-07 12:41:52 UTC
The Bug is still present in 1.3.0 release.
The behavior in the normal album view is that a right click on the stars selects the start an then opens the context menu and deletes the star-selection again. This looks pretty strange.
The behavior in fullscreen-mode is still like original reported.
Comment 4 Marcel Wiesweg 2011-01-27 21:18:56 UTC
SVN commit 1217537 by mwiesweg:

Only use left button click for rating widget

BUG: 196922


 M  +2 -1      NEWS  
 M  +16 -1     libs/widgets/common/ratingwidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217537